OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
misc_widget.h File Reference

Types related to the misc widgets. More...

Go to the source code of this file.

## Enumerations
enum | LandInfoWidgets { WID_LI_BACKGROUND }
| Widgets of the LandInfoWindow class. More...
enum | ToolTipsWidgets { WID_TT_BACKGROUND }
| Widgets of the TooltipsWindow class. More...
enum | AboutWidgets { WID_A_SCROLLING_TEXT, WID_A_WEBSITE }
| Widgets of the AboutWindow class. More...
enum | QueryStringWidgets { WID_QS_CAPTION, WID_QS_TEXT, WID_QS_DEFAULT, WID_QS_CANCEL, WID_QS_OK }
| Widgets of the QueryStringWindow class. More...
enum | QueryWidgets { WID_Q_CAPTION, WID_Q_TEXT, WID_Q_NO, WID_Q_YES }
| Widgets of the QueryWindow class. More...
enum | TextfileWidgets { WID_TF_CAPTION, WID_TF_WRAPTEXT, WID_TF_BACKGROUND, WID_TF_VSCROLLBAR, WID_TF_HSCROLLBAR }
| Widgets of the TextfileWindow class. More...

## Detailed Description

Types related to the misc widgets.

Definition in file misc_widget.h.

## Enumeration Type Documentation

enum AboutWidgets

Widgets of the AboutWindow class.

Enumerator:

  WID_A_SCROLLING_TEXT | The actually scrolling text.
  WID_A_WEBSITE | URL of OpenTTD website.

Definition at line 26 of file misc_widget.h.

enum LandInfoWidgets

Widgets of the LandInfoWindow class.

Enumerator:

  WID_LI_BACKGROUND | Background of the window.

Definition at line 16 of file misc_widget.h.

enum QueryStringWidgets

Widgets of the QueryStringWindow class.

Enumerator:

  WID_QS_CAPTION | Caption of the window.
  WID_QS_TEXT | Text of the query.
  WID_QS_DEFAULT | Default button.
  WID_QS_CANCEL | Cancel button.
  WID_QS_OK | OK button.

Definition at line 32 of file misc_widget.h.

enum QueryWidgets

Widgets of the QueryWindow class.

Enumerator:

  WID_Q_CAPTION | Caption of the window.
  WID_Q_TEXT | Text of the query.
  WID_Q_NO | Yes button.
  WID_Q_YES | No button.

Definition at line 41 of file misc_widget.h.

enum TextfileWidgets

Widgets of the TextfileWindow class.

Enumerator:

  WID_TF_CAPTION | The caption of the window.
  WID_TF_WRAPTEXT | Whether or not to wrap the text.
  WID_TF_BACKGROUND | Panel to draw the textfile on.
  WID_TF_VSCROLLBAR | Vertical scrollbar to scroll through the textfile up-and-down.
  WID_TF_HSCROLLBAR | Horizontal scrollbar to scroll through the textfile left-to-right.

Definition at line 49 of file misc_widget.h.

enum ToolTipsWidgets

Widgets of the TooltipsWindow class.

Enumerator:

  WID_TT_BACKGROUND | Background of the window.

Definition at line 21 of file misc_widget.h.